INTERFACE
SUBROUTINE CUPDRAAD&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & K_JKSTART, LD_LLGO_ON,&
 & PQENH5, PGEOH5, PAPH5, PGEO5,&
 & PTU5, PQU5, PLU5,&
 & PSENH5, PWU2H5, PSUH5,&
 & PBUOH5, PLGLAC5, PQPRCV5,&
 & KLAB, LDCUM, LDSC, KCBOT,&
 & KBOTSC, KCTOP, KSTUP,&
 & PQENH, PGEOH, PAPH, PGEO,&
 & PTU, PQU, PLU,&
 & PSENH, PWU2H, PSUH,&
 & PBUOH, PLGLAC, PQPRCV ) 
USE PARKIND1 ,ONLY : JPIM, JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: K_JKSTART
LOGICAL ,INTENT(INOUT) :: LD_LLGO_ON(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSENH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWU2H5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSUH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBUOH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLGLAC5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQPRCV5(KLON,KLEV)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLAB(KLON,KLEV)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
LOGICAL ,INTENT(INOUT) :: LDSC(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KBOTSC(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSTUP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSENH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWU2H(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSUH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBUOH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLGLAC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQPRCV(KLON,KLEV)
END SUBROUTINE CUPDRAAD
END INTERFACE
